org.eclnt.jsfserver.elements.componentnodes

## Class JRPRINTERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.JRPRINTERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class JRPRINTERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRPRINTERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRPRINTERNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `JRPRINTERNode` | `bindComment(IDynamicContentBindingObject value)`
    `JRPRINTERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `JRPRINTERNode` | `bindJasperxml(IDynamicContentBindingObject value)`
    `JRPRINTERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `JRPRINTERNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `JRPRINTERNode` | `bindTriggerprint(IDynamicContentBindingObject value)`
    `JRPRINTERNode` | `bindWithprintdialog(IDynamicContentBindingObject value)`
    `JRPRINTERNode` | `setAdapterbinding(java.lang.String value)`
    `JRPRINTERNode` | `setAttributemacro(java.lang.String value)`
    `JRPRINTERNode` | `setComment(java.lang.String value)`
    `JRPRINTERNode` | `setConfiginfo(java.lang.String value)`
    `JRPRINTERNode` | `setId(java.lang.String value)`
    `JRPRINTERNode` | `setJasperxml(java.lang.String value)`
    `JRPRINTERNode` | `setReference(java.lang.String value)`
    `JRPRINTERNode` | `setRendered(boolean value)`
    `JRPRINTERNode` | `setRendered(java.lang.String value)`
    `JRPRINTERNode` | `setStylevariant(java.lang.String value)`
    `JRPRINTERNode` | `setTriggerprint(java.lang.String value)`
    `JRPRINTERNode` | `setWithprintdialog(boolean value)`
    `JRPRINTERNode` | `setWithprintdialog(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JRPRINTERNode

          public JRPRINTERNode()

  - ### Method Detail

    - #### setId

          public JRPRINTERNode setId(java.lang.String value)

    - #### setAdapterbinding

          public JRPRINTERNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public JRPRINTERNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public JRPRINTERNode setAttributemacro(java.lang.String value)

    - #### setComment

          public JRPRINTERNode setComment(java.lang.String value)

    - #### bindComment

          public JRPRINTERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public JRPRINTERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public JRPRINTERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setJasperxml

          public JRPRINTERNode setJasperxml(java.lang.String value)

    - #### bindJasperxml

          public JRPRINTERNode bindJasperxml(IDynamicContentBindingObject value)

    - #### setReference

          public JRPRINTERNode setReference(java.lang.String value)

    - #### setRendered

          public JRPRINTERNode setRendered(java.lang.String value)

    - #### bindRendered

          public JRPRINTERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public JRPRINTERNode setRendered(boolean value)

    - #### setStylevariant

          public JRPRINTERNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public JRPRINTERNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTriggerprint

          public JRPRINTERNode setTriggerprint(java.lang.String value)

    - #### bindTriggerprint

          public JRPRINTERNode bindTriggerprint(IDynamicContentBindingObject value)

    - #### setWithprintdialog

          public JRPRINTERNode setWithprintdialog(java.lang.String value)

    - #### bindWithprintdialog

          public JRPRINTERNode bindWithprintdialog(IDynamicContentBindingObject value)

    - #### setWithprintdialog

          public JRPRINTERNode setWithprintdialog(boolean value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.